#
# spec file for package perl-Tk-FontDialog
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Tk-FontDialog
Version:        0.17
Release:        1.1
%define cpan_name Tk-FontDialog
Summary:        a font dialog widget for perl/Tk
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Tk-FontDialog/
Source:         http://www.cpan.org/authors/id/S/SR/SREZIC/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Tk) >= 800
Requires:       perl(Tk) >= 800
%{perl_requires}

%description
Tk::FontDialog implements a font dialog widget.

The dialog is displayed by calling the *Show* method. The returned value is
either the selected font (if the dialog was closed with the Ok button) or
undef (otherwise). The exact type of the return value is either a the
Tk::Font manpage object (in Tk800) or a font name string (usually something
like 'font1'). Both can be used as values in Tk '-font' options. See the
/GetDescriptiveFontName manpage

In the Family and Size listboxes, the font family and font size can be
specified. The checkbuttons on the right turn on bold, italic, underlined
and overstriked variants of the chosen font. A sample of the font is shown
in the middle area.

With the "Alt sample" checkbutton, it is possible to show all characters in
the charset instead of the default text. "Fixed only" restricts the font
family list to fixed fonts only. If the "Nicefonts" checkbutton is set,
then the font names in the listbox are displayed in the corresponding font.
Note that this option can be slow if a lot of fonts are installed or for 16
bit fonts.

A click with the right button in the font size listbox pops up a window to
enter arbitrary font sizes.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-Tk-FontDialog/Changes
  0.17
  - no code changes, just a test fix
  0.16
  - no code changes, just a minor Pod fix (RT #51766)
  and changed the repo address to github
* Sat Mar 12 2011 pascal.bleser@opensuse.org
- initial version (0.15)
